JUCE: xml

JUCE

Classes | Functions
xml
juce_core

## Classes
class | XmlDocument
| Parses a text-based XML document and creates an XmlElement object from it. More...
class | XmlElement
| Used to build a tree of elements representing an XML document. More...
struct | XmlElement::TextFormat
| A struct containing options for formatting the text when representing an XML element as a string. More...

## Functions
std::unique_ptr< XmlElement > | parseXML (const String &textToParse)
| Attempts to parse some XML text, returning a new XmlElement if it was valid. More...
std::unique_ptr< XmlElement > | parseXML (const File &fileToParse)
| Attempts to parse some XML text, returning a new XmlElement if it was valid. More...
std::unique_ptr< XmlElement > | parseXMLIfTagMatches (const String &textToParse, StringRef requiredTag)
| Does an inexpensive check to see whether the top-level element has the given tag name, and if that's true, does a full parse and returns the result. More...
std::unique_ptr< XmlElement > | parseXMLIfTagMatches (const File &fileToParse, StringRef requiredTag)
| Does an inexpensive check to see whether the top-level element has the given tag name, and if that's true, does a full parse and returns the result. More...

## Detailed Description

## Function Documentation

## ◆ parseXML() [1/2]

std::unique_ptr< XmlElement > parseXML | ( | const String & | textToParse | ) |

Attempts to parse some XML text, returning a new XmlElement if it was valid.

If the parse fails, this will return a nullptr - if you need more information about errors or more parsing options, see the XmlDocument class instead.

See also
  XmlDocument, parseXMLIfTagMatches

## ◆ parseXML() [2/2]

std::unique_ptr< XmlElement > parseXML | ( | const File & | fileToParse | ) |

Attempts to parse some XML text, returning a new XmlElement if it was valid.

If the parse fails, this will return a nullptr - if you need more information about errors or more parsing options, see the XmlDocument class instead.

See also
  XmlDocument, parseXMLIfTagMatches

## ◆ parseXMLIfTagMatches() [1/2]

std::unique_ptr< XmlElement > parseXMLIfTagMatches | ( | const String & | textToParse,
|  | StringRef | requiredTag
| ) |  |

Does an inexpensive check to see whether the top-level element has the given tag name, and if that's true, does a full parse and returns the result.

If the outer tag doesn't match, or the XML has errors, this will return nullptr;

See also
  parseXML

## ◆ parseXMLIfTagMatches() [2/2]

std::unique_ptr< XmlElement > parseXMLIfTagMatches | ( | const File & | fileToParse,
|  | StringRef | requiredTag
| ) |  |

Does an inexpensive check to see whether the top-level element has the given tag name, and if that's true, does a full parse and returns the result.

If the outer tag doesn't match, or the XML has errors, this will return nullptr;

See also
  parseXML